# ASN.1 module VAM-Temp-Imports
 OID: _{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg1(1) ts(103300) temp-imports(255) version1(1)}_

## Imports:
 * **ITS-Container** *{itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts (102894) cdd (2) version (2)}*<br/>

 * **DSRC** *{iso (1) standard (0) signalizedIntersection (19091) profilec(2) dsrc (2) version (2)}*<br/>

## Data Elements:
### <a name="BasicContainer"></a>BasicContainer



Fields:
* stationType [**StationType**](ITS-Container.md#StationType) <br>
* referencePosition [**ReferencePosition**](ITS-Container.md#ReferencePosition) <br>
```asn1
BasicContainer ::= SEQUENCE {
    stationType       StationType, -- from VAM-Temp-Imports
    referencePosition ReferencePosition, -- from ITS-Container
    ...
}
```

### <a name="ItsPduHeader"></a>ItsPduHeader



Fields:
* protocolVersion **INTEGER**  (0..255)<br>
* messageID **INTEGER** { denm(1)<br>
```asn1
ItsPduHeader ::= SEQUENCE {
    protocolVersion INTEGER (0..255),
    messageID INTEGER{ denm(1), cam(2), poi(3), spatem(4), mapem(5), ivim(6), ev-rsr(7), tistpgtransaction(8), srem(9), ssem(10), evcsn(11), saem(12), rtcmem(13), vam(14) } (0..255),  -- Mantis #7209, #7005
    stationID StationID
}
```

### <a name="AreaCircular"></a>AreaCircular



Fields:
* nodeCenterPoint [**OffsetPoint**](VAM-Temp-Imports.md#OffsetPoint)  OPTIONAL<br>
* radius [**Radius**](#Radius) <br>
```asn1
AreaCircular ::= SEQUENCE {
    nodeCenterPoint      OffsetPoint OPTIONAL,
    radius               Radius
}
```

### <a name="AreaPolygon"></a>AreaPolygon



Fields:
* polyPointList [**PolyPointList**](#PolyPointList) <br>
```asn1
AreaPolygon ::= SEQUENCE {
    polyPointList   PolyPointList
}
```

### <a name="AreaRectangle"></a>AreaRectangle



Fields:
* nodeCenterPoint [**OffsetPoint**](VAM-Temp-Imports.md#OffsetPoint)  OPTIONAL<br>
* semiMajorRangeLength [**SemiRangeLength**](VAM-Temp-Imports.md#SemiRangeLength) <br>
* semiMinorRangeLength [**SemiRangeLength**](VAM-Temp-Imports.md#SemiRangeLength) <br>
* semiMajorRangeOrientation [**WGS84AngleValue**](VAM-Temp-Imports.md#WGS84AngleValue) <br>
* semiHeight [**SemiRangeLength**](VAM-Temp-Imports.md#SemiRangeLength)  OPTIONAL<br>
```asn1
AreaRectangle ::= SEQUENCE {
    nodeCenterPoint             OffsetPoint OPTIONAL,
    semiMajorRangeLength        SemiRangeLength,
    semiMinorRangeLength        SemiRangeLength,
    semiMajorRangeOrientation   WGS84AngleValue,
    semiHeight                  SemiRangeLength OPTIONAL
}
```

### <a name="OffsetPoint"></a>OffsetPoint



Fields:
* nodeOffsetPointXY [**NodeOffsetPointXY**](DSRC.md#NodeOffsetPointXY)  (WITH COMPONENTS {...<br>
```asn1
OffsetPoint ::= SEQUENCE{
    nodeOffsetPointXY   NodeOffsetPointXY (WITH COMPONENTS {..., node-LatLon ABSENT, regional ABSENT}),
    nodeOffsetPointZ    NodeOffsetPointZ OPTIONAL
}
```

### <a name="NodeOffsetPointZ"></a>NodeOffsetPointZ



Fields:
* node-Z1 [**Offset-B10**](DSRC.md#Offset-B10) <br>
* node-Z2 [**Offset-B11**](DSRC.md#Offset-B11) <br>
* node-Z3 [**Offset-B12**](DSRC.md#Offset-B12) <br>
* node-Z4 [**Offset-B13**](DSRC.md#Offset-B13) <br>
* node-Z5 [**Offset-B14**](DSRC.md#Offset-B14) <br>
* node-Z6 [**Offset-B16**](DSRC.md#Offset-B16)   -- node is within 327.67m of last node<br>
```asn1
NodeOffsetPointZ ::= CHOICE {
    node-Z1 Offset-B10, -- node is within 5.11m of last node
    node-Z2 Offset-B11, -- node is within 10.23m of last node
    node-Z3 Offset-B12, -- node is within 20.47m of last node
    node-Z4 Offset-B13, -- node is within 40.96m of last node
    node-Z5 Offset-B14, -- node is within 81.91m of last node
    node-Z6 Offset-B16  -- node is within 327.67m of last node
}
```

### <a name="Radius"></a>Radius



Fields:
```asn1
Radius ::= INTEGER {
    zeroPointOneMeter   (1),
    oneMeter            (10)
}  (0..10000)
```

### <a name="PolyPointList"></a>PolyPointList



```asn1
PolyPointList ::= SEQUENCE (SIZE(3..16, ...)) OF OffsetPoint
```

### <a name="SemiRangeLength"></a>SemiRangeLength



Fields:
```asn1
SemiRangeLength ::= INTEGER {
    zeroPointOneMeter   (1),
    oneMeter            (10)
} (0..10000)
```

### <a name="WGS84AngleValue"></a>WGS84AngleValue



Fields:
```asn1
WGS84AngleValue ::= INTEGER {
    wgs84North          (0),
    wgs84East           (900),
    wgs84South          (1800),
    wgs84West           (2700),
    unavailable         (3601)
} (0..3601)
```

### <a name="StationType"></a>StationType



Fields:
```asn1
StationType ::= INTEGER {
    unknown(0), pedestrian(1), cyclist(2), moped(3), motorcycle(4),
    passengerCar(5), bus(6), lightTruck(7), heavyTruck(8), trailer(9), 
    specialVehicles(10), tram(11), lightVruVehicle(12), animal(13), 
    roadSideUnit(15)
}
(0..255)
```



